Backwards compatibility for older 10.x and geodatabase connections in ArcGIS Pro

491
0
05-06-2021 01:38 PM
Status: Open
Labels (1)
Joshua-Young
Occasional Contributor III

I think it would be useful to have ArcGIS Pro query a connection, be it portal connection or geodatabase connection, to determine the connection's version and only present options and functionality up to the level that the connection supports. I would like to have some kind of backwards compatibility built into ArcGIS Pro if it is going to keep being release ahead of a compatible version of ArcGIS Enterprise.

Often ArcGIS Pro has a new release that targets a unrelease version of 10.x or geodatabase. If you try to use that new version with a 10.x or geodatabase release that is below the expected version there are often issues because ArcGIS Pro is trying to do something that ArcGIS Enterprise or the geodatabase does not support. A great example of this has been the releases of ArcGIS Pro 2.7 in December 2020 and ArcGIS Enterprise 10.9 in May 2021. So from December 2020 to May 2021 there was no compatible version of ArcGIS Enterprise that you could use with ArcGIS Pro 2.7. I tried using ArcGIS Pro 2.7 with ArcGIS Enterprise 10.8.1 but ran into a few issues that only resolved by going back to ArcGIS Pro 2.6.